### Method

# Hinoko FwIsoIrSingle allocate

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_ir_single_allocate (
      HinokoFwIsoIrSingle* self,
      const char* path,
      guint channel,
      guint header_size,
      GError** error
    )

#### Description [src]

Allocate an IR context to 1394 OHCI hardware for packet-per-buffer mode. A local node of the node corresponding to the given path is used as the hardware, thus any path is accepted as long as process has enough permission for the path.

The header_size parameter has an effect for the content of header parameter in `HinokoFwIsoIrSingle::interrupted`. When it’s greater than 8, header includes the series of two quadlets for isochronous packet header and timestamp per isochronous packet. When it’s greater than 12, header includes the part of isochronous packet data per packet.

Available since: 0.7

#### Parameters

`path`

  Type: `const char*`

  A path to any Linux FireWire character device.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`channel`

  Type: `guint`

  An isochronous channel to listen, up to 63.

`header_size`

  Type: `guint`

  The number of bytes for header of IR context, greater than 4 at least to include isochronous packet header in header parameter of `HinokoFwIsoIrSingle::interrupted`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.